extern char     *addr;
extern tboot_st boot_st;
extern char     **argv_ptr;

extern tnif_ll   *nif_ll,**nif_ll_tail;
extern tus_hr    us_hr;
extern tus_ll    *us_ll;
extern tus_btree *us_btree;
extern tum_ll    *um_ll;

extern char *notify_label;
extern char *warning_label;
extern char *error_label;
extern char *yes_label;
extern char *no_label;
extern char *unknown_label;
extern char *exempt_label;
extern char *na_label;
extern char *verbose_label;
extern char *normal_label;
extern char *none_label;
extern char *daemon_started_mess;
extern char *daemon_ended_mess;
extern char *dt_table[];
extern char *tm_table[];
extern char *term_type[];

extern char *cmd_ok;
extern char *cmd_er;

extern char *cmd_quit;
extern char *cmd_pass;
extern char *cmd_stat;

extern char *cmd_gushr;
extern char *cmd_sushr;
extern char *cmd_lushr;
extern char *cmd_uushr;

extern char *cmd_gusu;
extern char *cmd_gus;
extern char *cmd_gus2;
extern char *cmd_sus;
extern char *cmd_nus;
extern char *cmd_dus;

extern char *cmd_gumu;
extern char *cmd_gum;
extern char *cmd_sum;
extern char *cmd_dum;

extern char *cmd_luser;
extern char *cmd_uuser;

extern char *cmd_stime;

extern char *cmd_tpurg;
extern char *cmd_dpurg;

extern char *cmd_trept;

extern char *cmd_ustat;

extern char *cmd_die;

extern char *cmd_save;

extern char *cmd_gtinf;

/*procs*/
extern void client_init(void);
extern int freadln(FILE *fp,char *str);
extern int read_boot_conf(void);
extern void str_mm_ss(int t,char *s);
extern void str_hh_mm(int t,char *s);
extern void range_check(int *val,int lim1,int lim2);
extern void compose_date(tdate_st *d,char *str);
extern double rnd2meg(int val);
extern double rnd2meg64(_UD_64 val);
extern int server_bind_socket(int port);
extern int client_bind_socket(char *addr,int port);
extern void close_socket(int s);
extern int find_process(char *process_name,int mode);
extern void comp_net_us_ll(tus_ll *p,char *buf);
extern void comp_net_us_hr(tus_hr *p,char *buf);
extern void decomp_net_us_ll(tus_ll *p,char *ins);
extern void decomp_net_us_hr(tus_hr *p,char *str);
extern void comp_net_um_ll(tum_ll *p,char *buf);
extern void decomp_net_um_ll(tum_ll *p,char *ins);
extern void us_ll_clr(tus_ll *p);
extern void us_hr_clr(tus_hr *p);
extern void comp_net_tinfo_ll(ttinfo_ll *p,char *buf);
extern void decomp_net_tinfo_ll(ttinfo_ll *p,char *buf);
