/***************************************************************************
****************************************************************************
****************************************************************************
*
* Clobberd - By Jason Nunn
* Copyright (C) 1996,1997,1998 Jason Nunn
*
* Clobberd comes under the GNU General Public License. Please read the
* COPYING notice in this distribution.
*
* ================================================================
* misc
*
****************************************************************************
****************************************************************************
***************************************************************************/
extern "C" {
#include <curses.h>
#include "../clobberd/defs.h"
#include "../clobberd/misc.h"
}
#include "gui.h"

int       client_s;
FILE      *client_fp = NULL;

tus_hr    us_hr;
tus_ll    us;
tum_ll    um;

char *ddown_mess = "Daemon is down, Can't perform operation.";
char *nerr_mess = "Looks like TCP connection has died in the arse."
                  " Quit out of program and run again.";
char *pwait_mess = "Please wait..";
char *user_nf_mess = "Username not found. Hit any key.";

/***************************************************************************
*
***************************************************************************/
tnotify notify_obj;

void notify(char *title,char *contents)
{
  notify_obj.create(title,contents);
  notify_obj.run();
  notify_obj.dest();
}

void notify_on(char *title,char *contents)
{
  notify_obj.create(title,contents);
  list_obj.remove();
  notify_obj.redraw();
  update();
}

void notify_off(void)
{
  blit_list_obj();
}

/***************************************************************************
* 
***************************************************************************/
void display_lock(void)
{
  move(LINES - 1,69);
  if(has_colors())
    attrset(COLOR_PAIR(6) | A_BOLD);
  else
    attron(A_REVERSE);
  addstr("<LOCKED>");
  attrset(COLOR_PAIR(5));
  update();
}

void undisplay_lock(void)
{
  move(LINES - 1,69);
  if(has_colors())
    attrset(COLOR_PAIR(1) | A_BOLD);
  else
    attron(A_REVERSE);
  scroll_clear_line(10);
  attrset(COLOR_PAIR(5));
  update();
}
